Subject: Re: [OPSAWG] OPSAWG]I-DAction:draft-ietf-opsawg-snmp-engineid-discovery-01.txt,

From: "Bert Wijnen" <[email-masked]>
Date: Thu, 31 Jan 2008 23:40:32 +0100

Inline

Bert Wijnen 

> -----Oorspronkelijk bericht-----
> Van: Juergen Schoenwaelder [mailto:[email-masked]]
> Verzonden: donderdag 31 januari 2008 22:59
> Aan: David Harrington
> CC: 'Bert Wijnen'; [email-masked]
> Onderwerp: Re: [OPSAWG]
> Re:OPSAWG]I-DAction:draft-ietf-opsawg-snmp-engineid-discovery-01.txt,
> 
> 
> On Thu, Jan 31, 2008 at 12:25:11PM -0500, David Harrington wrote:
> 
> > >    This document updates RFC 3411 [RFC3411] by clarifying the 
> IANA rules
> > >    for the maintenance of the SnmpEngineID format registry.
> > 
> > I don't think this updates RFC3411; it supplements RFC3411.
> > I would not liek to go to the RFC search page and see "RFC3411 Updated
> > by XXXX" beasue i think that would be misleading.
> > I would prefer
> > 
> >    This document provides rules for the maintenance of the 
> >    IANA registry for SnmpEngineID formats [RFC3411].
> 
> Scott, can you tell me whether this IANA section constitutes and
> update to RFC 3411 or not? I personally don't care.
> 

The reason I brought it up is because the title page stated that it
will update RFC3411. If that is not the case, then pls also remove
it from title page.

> > USM will not prevent it being used thi sway. What happens if an
> > attacker does use it there? Does this create a security vulnerability?
> > Does it actually matter? Must USM be updated to not allow this?
> 
> No conforming implementation out there will use the localEngineID
> value since this value was not previously allocated and the allocation
> has always been under IANA control. Now this value is being allocated
> for a specific purpose and the document says it is not to be used as a
> native engineID. Attackers can send whatever garbage they want; past
> and future conforming implementations will just drop messages if a
> localEngineID that does not match their engineID. So nothing needs
> to be done.
> 

I agree with Juergen here.

Bert
> /js 

_______________________________________________
OPSAWG mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/opsawg